function x = fixpunkt(phi,x0,maxitr,atol,rtol)

x    = x0;
xold = x0;
xnew = phi(xold);
x    = [x,xnew];
err  = abs(xnew-xold);

itr = 0;
while err > atol + rtol*abs(xnew) && itr <= maxitr
    xnew = phi(xold);
    err  = abs(xnew-xold);
    x    = [x,xnew];
    xold = xnew;
    itr = itr+1;
end
